clientKey: 性与暴力
# 项目相关配置
zksy:
  # 名称
  name: zksy
  # 版本
  version: 1.0.0
  # 版权年份
  copyrightYear: 2023
  # 实例演示开关
  demoEnabled: true
  # 文件路径 示例（ Windows配置D:/zksy/uploadPath，Linux配置 /home/zksy/uploadPath）
  profile: D:/zksy/uploadPath/creditRating/
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数组计算 char 字符验证
  captchaType: math


# 日志配置
logging:
  level:
    com.zksy: debug
    org.springframework: warn


# 数据源配置
spring:
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driverClassName: com.mysql.cj.jdbc.Driver
    druid:
      # 主库数据源
      master:
        url: jdbc:mysql://localhost:3306/credit_rating_management?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
        username: root
        password: 123456
      # 从库数据源
      slave:
        # 从数据源开关/默认关闭
        enabled: false
        url:
        username:
        password:
      # 初始连接数
      initialSize: 5
      # 最小连接池数量
      minIdle: 100
      # 最大连接池数量
      maxActive: 200
      # 配置获取连接等待超时的时间
      maxWait: 60000
      # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
      timeBetweenEvictionRunsMillis: 60000
      # 配置一个连接在池中最小生存的时间，单位是毫秒
      minEvictableIdleTimeMillis: 300000
      # 配置一个连接在池中最大生存的时间，单位是毫秒
      maxEvictableIdleTimeMillis: 900000
      # 配置检测连接是否有效
      validationQuery: SELECT 1 FROM DUAL
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      webStatFilter:
        enabled: false
      statViewServlet:
        enabled: false
        # 设置白名单，不填则允许所有访问
        allow:
        url-pattern: /druid/*
        # 控制台管理用户名和密码
        login-username: wsnbb
        login-password: cnmd123@#$%(cnnn)#
      filter:
        stat:
          enabled: true
          # 慢SQL记录
          log-slow-sql: true
          slow-sql-millis: 1000
          merge-sql: true
        wall:
          config:
            multi-statement-allow: true
  # redis 配置
  redis:
    # 地址
    host: 127.0.0.1
    # 端口，默认为6379
    port: 6379
    # 数据库索引
    database: 0
    # 密码
    #password:
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms
  redisson:
    # 单机
    address: 127.0.0.1:6379
    database: 10
    #password:



## 文件上传配置
local:
  fileserver:
    path: file:D:/zksy/uploadPath/creditRating/
    upload:
      path: D:/zksy/uploadPath/creditRating/
    baseurl:
    mapping:
      path: /profile/zksy/creditRating
    filetypes: .jpg,.gif,.png,.ico,.bmp,.jpeg,.mp4,.xls,.xlsx,.tif,.pcx,.tga,.exif,.fpx,.svg,.psd,.cdr,.pcd,.dib,.jfif,.jpe,.dxf,.ufo,.eps,.ai,.raw,.et,.WMF,.webp,.avi,.rmvb,.prn,.wps,.vsd,.dps,.avif,.apng,.doc,.docx,.txt,.pdf,.ppt,.exe,.pptx,.rft,.rar,.zip,.dat,.key,.msg,.cad,.btw,


system:
  ghQuestionnaire: false
  diffpub: false
#最大连接数
server:
  tomcat:
    max-connections: 2000
    #最大线程数
    max-threads: 1000
    #最大等待数
    accept-count: 800